#include <stdio.h>
#include <stdlib.h>
#include <math.h>
int main()
{
    int N,i,j,S;
    int mat[10][10];
    scanf("%d",&N);
    for(i=0;i<N;++i){
        for(j=0;j<2;++j){
        scanf("%d",&mat[i][j]);
        int a=pow(10,9)+7;
        int n=pow(2,N)-1;
        S=a%n;
        }
    }
    printf("%d",S);
    return 0;
}